using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class ElvenBedSouthAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new ElvenBedSouthAddonDeed();
			}
		}

		[ Constructable ]
		public ElvenBedSouthAddon()
		{
			AddComponent( new AddonComponent( 12369 ), 0, 0, 0 );
			AddComponent( new AddonComponent( 12368 ), 0, 1, 0 );
			AddonComponent ac = null;

		}

		public ElvenBedSouthAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class ElvenBedSouthAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new ElvenBedSouthAddon();
			}
		}

		[Constructable]
		public ElvenBedSouthAddonDeed()
		{
			Name = "Elven Bed";
		}

		public ElvenBedSouthAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}