using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class ParrotPerchEastAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new ParrotPerchEastAddonDeed();
			}
		}

		[ Constructable ]
		public ParrotPerchEastAddon()
		{
			AddComponent( new AddonComponent( 12277 ), 0, 0, 0 );
			AddonComponent ac = null;

		}

		public ParrotPerchEastAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class ParrotPerchEastAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new ParrotPerchEastAddon();
			}
		}

		[Constructable]
		public ParrotPerchEastAddonDeed()
		{
			Name = "Parrot Perch";
		}

		public ParrotPerchEastAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}