using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class ParrotPerchSouthAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new ParrotPerchSouthAddonDeed();
			}
		}

		[ Constructable ]
		public ParrotPerchSouthAddon()
		{
			AddComponent( new AddonComponent( 12276 ), 0, 0, 0 );
			AddonComponent ac = null;

		}

		public ParrotPerchSouthAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class ParrotPerchSouthAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new ParrotPerchSouthAddon();
			}
		}

		[Constructable]
		public ParrotPerchSouthAddonDeed()
		{
			Name = "Parrot Perch";
		}

		public ParrotPerchSouthAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}